## visad
Class BadMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.DisplayException
                      visad.BadMappingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BadDirectManipulationException

public class BadMappingException
extends DisplayException

BadMappingException is an exception for an error with ScalarMaps in a VisAD display.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`BadMappingException()` construct a BadMappingException with no message
`BadMappingException(String s)` construct a BadMappingException with given message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadMappingException

    public BadMappingException()

  construct a BadMappingException with no message

### BadMappingException

    public BadMappingException(String s)

  construct a BadMappingException with given message

Parameters:
  `s` - - message String